summaryrefslogtreecommitdiffhomepage
path: root/desktop/scripts
diff options
context:
space:
mode:
authorOskar <oskar@mullvad.net>2025-02-04 17:23:17 +0100
committerOskar <oskar@mullvad.net>2025-02-05 15:55:09 +0100
commit0237cbf5e7e9aee741a3f1b9874105b185c4c44b (patch)
tree6f48e82bd5e07dcd3239d2a3d3a1cdc2db0ee779 /desktop/scripts
parentdbfc02c1f64090efb7940279bdc4c8c9a98f0ac0 (diff)
downloadmullvadvpn-0237cbf5e7e9aee741a3f1b9874105b185c4c44b.tar.xz
mullvadvpn-0237cbf5e7e9aee741a3f1b9874105b185c4c44b.zip
Move gh command check to util file
Diffstat (limited to 'desktop/scripts')
-rwxr-xr-xdesktop/scripts/make-release11
-rwxr-xr-xdesktop/scripts/test-release-artifacts11
2 files changed, 6 insertions, 16 deletions
diff --git a/desktop/scripts/make-release b/desktop/scripts/make-release
index 8af3a94119..52be98cf83 100755
--- a/desktop/scripts/make-release
+++ b/desktop/scripts/make-release
@@ -2,15 +2,10 @@
set -eu
-if ! command -v gh > /dev/null; then
- echo >&2 "gh (GitHub CLI) is required to run this script"
- exit 1
-fi
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd "$SCRIPT_DIR"
-if ! gh auth status > /dev/null; then
- echo >&2 "Authentication through gh (GitHub CLI) is required to run this script"
- exit 1
-fi
+../../scripts/utils/gh-ready-check
if [[ $# != 1 ]]; then
echo "!!! Please pass the app version as the first and only argument"
diff --git a/desktop/scripts/test-release-artifacts b/desktop/scripts/test-release-artifacts
index fb5ffe6ccb..dabf982694 100755
--- a/desktop/scripts/test-release-artifacts
+++ b/desktop/scripts/test-release-artifacts
@@ -2,15 +2,10 @@
set -eu
-if ! command -v gh > /dev/null; then
- echo >&2 "gh (GitHub CLI) is required to run this script"
- exit 1
-fi
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd "$SCRIPT_DIR"
-if ! gh auth status > /dev/null; then
- echo >&2 "Authentication through gh (GitHub CLI) is required to run this script"
- exit 1
-fi
+../../scripts/utils/gh-ready-check
if [[ $# != 1 ]]; then
echo "!!! Please pass the app version as the first and only argument"